textures/beachii/water_beach_six_flowv2
{
	qer_editorimage textures/liquids/pool3d_3.tga
	q3map_tcMod rotate 90
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	tesssize 512
	nofog
	cull disable
	deformVertexes wave 160 sin 0 10 0 .3
	{ 
		fog on
		map textures/liquids/ocean_m1.tga
		rgbgen wave sin .4 0 0 .5
		tcmod scale .2 .1
		tcmod scroll .02 0.2		
	}	
	{ 
		map textures/liquids/ocean_m1.tga
		blendFunc GL_src_alpha GL_ONE
		alphagen const .3		
		tcmod scale .2 .2
		tcmod scroll -.02 0.2	
	}
}

textures/beachii/water_beach_sixv2
{
	qer_editorimage textures/liquids/pool3d_3.tga
	q3map_tcMod rotate 90
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	tesssize 512
	nofog
	cull disable
	deformVertexes wave 160 sin 0 10 0 .3
	{ 
		fog on
		map textures/liquids/ocean_m1.tga
		rgbgen wave sin .4 0 0 .5	
		tcmod scale .2 .1
		tcmod scroll .03 .02		
	}	
	{
		map textures/liquids/ocean_m1.tga
		blendFunc GL_src_alpha GL_ONE
		alphagen const .3		
		tcmod scale .2 .2
		tcmod scroll -.03 -.02	
	}
}

textures/beachii/beach_ii_skyv2
{
	qer_editorimage textures/skies/sky_3.tga
	q3map_lightimage textures/skies/sunset1.tga
	nocompress
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	q3map_globaltexture
	q3map_lightsubdivide 1024
	q3map_sun	1.000000 0.839085 0.574855 40 185 15
	q3map_surfacelight 35
	skyparms full 200 -
	fogvars ( 0.25 0.21 0.14 ) 3000	
	{
		map textures/beachii/sunset1.tga
		tcMod scale 1 1
		depthWrite
	}
}

textures/beachii/mp_beachii_basev2
{
	q3map_forcesunlight
	q3map_lightmapsampleoffset 8.0
	q3map_lightmapaxis z
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
}

textures/beachii/mxterra6v2_0
{
	q3map_baseshader textures/beachii/mp_beachii_basev2
	q3map_lightimage textures/stone/mxsand0.tga
	surfaceparm grasssteps	
	{
		map textures/stone/mxsand0.tga
		tcmod scale 2 2
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
}

textures/beachii/mxterra6v2_1
{
	q3map_baseshader textures/beachii/mp_beachii_basev2
	q3map_lightimage textures/stone/mxsand1.tga
	surfaceparm grasssteps	
	{
		map textures/stone/mxsand1.tga
		tcmod scale 2 2
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
}

textures/beachii/mxterra6v2_2
{
	q3map_baseshader textures/beachii/mp_beachii_basev2
	q3map_lightimage textures/stone/mxsand2.tga
	surfaceparm grasssteps	
	{
		map textures/stone/mxsand2.tga
		tcmod scale 2 2
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
}

textures/beachii/mxterra6v2_3
{
	q3map_baseshader textures/beachii/mp_beachii_basev2
	q3map_lightimage textures/stone/mxsand2.tga
	surfaceparm grasssteps
	{
		map textures/stone/mxsand3.tga
		tcmod scale 1 1
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
}

textures/beachii/mxterra6v2_4
{
	q3map_baseshader textures/beachii/mp_beachii_basev2
	q3map_lightimage textures/stone/mxsand2.tga
	surfaceparm grasssteps	
	{
		map textures/stone/mxsand4.tga
		tcmod scale 2 2
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		tcGen lightmap
		rgbGen identity
	}
}

textures/beachii/mxterra6v2_0to1
{
	q3map_baseshader textures/beachii/mp_beachii_basev2
	q3map_lightimage textures/stone/mxsand0.tga
	surfaceparm grasssteps	
	{
		map textures/stone/mxsand0.tga	
		rgbGen vertex
		alphaGen vertex
		tcmod scale 2 2
	}
	{
		map textures/stone/mxsand1.tga
		tcmod scale 2 2
		rgbGen vertex
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/beachii/mxterra6v2_0to2
{
	q3map_baseshader textures/beachii/mp_beachii_basev2
	q3map_lightimage textures/stone/mxsand0.tga
	surfaceparm grasssteps	
	{
		map textures/stone/mxsand0.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 2 2
	}
	{
		map textures/stone/mxsand2.tga
		tcmod scale 2 2
		rgbGen vertex
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/beachii/mxterra6v2_0to3
{
	q3map_baseshader textures/beachii/mp_beachii_basev2
	q3map_lightimage textures/stone/mxsand0.tga
	surfaceparm grasssteps	
	{
		map textures/stone/mxsand0.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 2 2
	}
	{
		map textures/stone/mxsand3.tga
		tcmod scale 1 1
		rgbGen vertex
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/beachii/mxterra6v2_0to4
{
	q3map_baseshader textures/beachii/mp_beachii_basev2
	q3map_lightimage textures/stone/mxsand0.tga
	surfaceparm grasssteps	
	{
		map textures/stone/mxsand0.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 2 2
	}
	{
		map textures/stone/mxsand4.tga
		tcmod scale 2 2
		rgbGen vertex
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/beachii/mxterra6v2_1to2
{
	q3map_baseshader textures/beachii/mp_beachii_basev2
	q3map_lightimage textures/stone/mxsand1.tga
	surfaceparm grasssteps	
	{
		map textures/stone/mxsand1.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 2 2
	}
	{
		map textures/stone/mxsand2.tga
		tcmod scale 2 2
		rgbGen vertex
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/beachii/mxterra6v2_1to3
{
	q3map_baseshader textures/beachii/mp_beachii_basev2
	q3map_lightimage textures/stone/mxsand1.tga
	surfaceparm grasssteps		
	{
		map textures/stone/mxsand1.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 2 2
	}
	{
		map textures/stone/mxsand3.tga
		tcmod scale 1 1
		rgbGen vertex
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/beachii/mxterra6v2_1to4
{
	q3map_baseshader textures/beachii/mp_beachii_basev2
	q3map_lightimage textures/stone/mxsand1.tga
	surfaceparm grasssteps		
	{
		map textures/stone/mxsand1.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 2 2
	}
	{
		map textures/stone/mxsand4.tga
		tcmod scale 2 2
		rgbGen vertex
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/beachii/mxterra6v2_2to3
{
	q3map_baseshader textures/beachii/mp_beachii_basev2
	q3map_lightimage textures/stone/mxsand2.tga
	surfaceparm grasssteps		
	{
		map textures/stone/mxsand2.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 2 2
	}
	{
		map textures/stone/mxsand3.tga
		tcmod scale 1 1
		rgbGen vertex
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/beachii/mxterra6v2_2to4
{
	q3map_baseshader textures/beachii/mp_beachii_basev2
	q3map_lightimage textures/stone/mxsand2.tga
	surfaceparm grasssteps			
	{
		map textures/stone/mxsand2.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 2 2
	}
	{
		map textures/stone/mxsand4.tga
		tcmod scale 2 2
		rgbGen vertex
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}


textures/beachii/mxterra6v2_3to4
{
	q3map_baseshader textures/beachii/mp_beachii_basev2
	q3map_lightimage textures/stone/mxsand3.tga
	surfaceparm grasssteps		
	{
		map textures/stone/mxsand3.tga
		rgbGen vertex
		alphaGen vertex
		tcmod scale 1 1
	}
	{
		map textures/stone/mxsand4.tga
		tcmod scale 2 2
		rgbGen vertex
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}